﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.IO;
using System.Linq;
using ChatData;

namespace ChatServerOptions
{
    /// <summary>
    /// Stores post objects server-side. is serialized as a DataContract
    /// </summary>
    [DataContract]
    public class Post:IGetTime
    {
        String UserName;
        String Pass;
        DateTime theTime;
        String theIP;
        String Message;
        #region IStreamPost Members
        [DataMember]
        public string User
        {
            get { return UserName; }
            set { UserName = value; }
        }
        [DataMember]
        public DateTime Time{
            get { return theTime; }
            set { theTime = value; }
        }
        public DateTime getTime()
        {
            return theTime;
        }
        [DataMember]
        public string IP
        {
           get{ return theIP;}
            set{theIP=value;}
        }
        [DataMember]
        public String MessageContent
        {
            get { return Message; }
            set { Message = value; }
        }
        #endregion
    }
    
    
    
}
