﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using ChatData;
using System.Net;
using System.Runtime.Serialization;

namespace ChatServerOptions
{
    [DataContract]
    public class Record:IRecord
    {
        protected string username;
        protected string ip;
        protected int port;
        protected string status;


        public Record() { }

        public Record(string newuser, string newip, string newport, string newstatus)
        {
            username = newuser;
            ip = newip;
            port = int.Parse(newport);
            status = newstatus;
        }
        [DataMember]
        public string Username
        {
            get { return username; }
            set { username = value; }
        }
        [DataMember]
        public string Ip
        {
            get { return ip.ToString(); }
            set { ip = value; }
        }
        [DataMember]
        public int Port
        {
            get { return port; }
            set { port = value; }
        }
        [DataMember]
        public string Status
        {
            get { return status; }
            set { status = value; }
        }
    }
}
