﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace WCFServiceWebRole1
{
    public class DMDataServiceContext : TableServiceContext
    {
        public DMDataServiceContext(string baseAddress, StorageCredentials credentials)
            : base(baseAddress, credentials)
        {
        }

        public const string DMTableName = "DMTable";

        public IQueryable<DMDataModel> DMTable
        {
            get
            {
                return this.CreateQuery<DMDataModel>(DMTableName);
            }
        }
    }
}
