﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace WCFServiceWebRole1
{
    public class FilesDataServiceContext : TableServiceContext
    {
        public FilesDataServiceContext(string baseAddress, StorageCredentials credentials)
            : base(baseAddress, credentials)
        {
        }

        public const string FilesTableName = "FilesTable";

        public IQueryable<FilesDataModel> FilesTable
        {
            get
            {
                return this.CreateQuery<FilesDataModel>(FilesTableName);
            }
        }
    }
}
