﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace WCFServiceWebRole1
{
    public class UsersDataServiceContext : TableServiceContext
    {
        public UsersDataServiceContext(string baseAddress, StorageCredentials credentials)
            : base(baseAddress, credentials)
        {
        }

        public const string UsersTableName = "UsersTable";

        public IQueryable<UsersDataModel> UsersTable
        {
            get
            {
                return this.CreateQuery<UsersDataModel>(UsersTableName);
            }
        }
    }
}
