﻿using System;
using System.Collections.Generic;
using System.Text;
using ChatData;
using System.Net;

namespace ChatServerOptions
{
    public class Record:IRecord
    {
        string username;
        string ip;
        int port;
        string status;


        public Record() { }

        public Record(string newuser, string newip, string newport, string newstatus)
        {
            username = newuser;
            ip = newip;
            port = int.Parse(newport);
            status = newstatus;
        }
        public string Username
        {
            get { return username; }
            set { username = value; }
        }
        public string Ip
        {
            get { return ip.ToString(); }
            set { ip = value; }
        }
        public int Port
        {
            get { return port; }
            set { port = value; }
        }
        public string Status
        {
            get { return status; }
            set { status = value; }
        }
    }
}
