﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.IO;
using System.Linq;
using ChatData;

namespace ChatServerOptions
{
    /// <summary>
    /// Stores Files server side. Serialized as a DataContract
    /// </summary>
    [DataContract]
    public class FilePost : IGetTime
    {
        DateTime mytime;

        [DataMember]
        public byte[] File { get; set; }
        [DataMember]
        public String GUID { get; set; }
        [DataMember]
        public String User { get; set; }
        [DataMember]
        public String LocalFile { get; set; }
        #region IGetTime Members
        [DataMember]
        public DateTime Time
        {
            get { return mytime; }
            set { mytime = value; }
        }
        DateTime IGetTime.getTime()
        {
            return mytime;
        }

        #endregion
    }
}
