﻿using System;
using System.Collections.Generic;
using System.Runtime.Serialization;
using System.ServiceModel;
using System.Text;
using System.IO;
using System.Linq;
using ChatData;


namespace ChatServerOptions
{
    /// <summary>
    /// Stores message items in a collection server side
    /// </summary>
    public class StreamStore : TimeStream<Post>
    {
        public Post getByUser(String user)
        {
            var theitem = from Post item in this
                          where item.User == user
                          select item;
            return (Post)theitem;
        }
        public StreamStore getUserStream(String user)
        {
            var theitem = from FilePost item in this
                          where item.User == user
                          select item;
            return (StreamStore)theitem;
        }
    }
}
