﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace ChatData
{
    /// <summary>
    /// Is used for communicating toeh Server the exact nature of the Client request. All data that is required is stored in this object
    /// </summary>
    public class Request
    {
        public RequestType Type { get; set; }
        public String Username { get; set; }
        public String Password { get; set; }
        public String IP { get; set; }
        public String Port { get; set; }
        public String Mesage { get; set; }
        public String Status { get; set; }
        public byte[] File { get; set; }
        public String FileName { get; set; }
        public String Destination { get; set; }
        public DateTime Time { get; set; }
        public String GUID { get; set; }

        public Request(RequestType thetype, String theuser)
        {
            this.Type = thetype;
            this.Username = theuser;
        }

    }
    public enum RequestType
    {
        Login,
        Message,
        DM,
        FowardFile,
        GetFile,
        File,
        Logoff,
        Status,
        GetDMStream,
        GetDMStreamSince,
        GetStream,
        GetStreamSince,
        ActiveUsers,
    }
}
