﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using Microsoft.WindowsAzure;
using Microsoft.WindowsAzure.StorageClient;

namespace WCFServiceWebRole1
{
    public class StreamsDataServiceContext : TableServiceContext
    {
        public StreamsDataServiceContext(string baseAddress, StorageCredentials credentials)
            : base(baseAddress, credentials)
        {
        }

        public const string StreamsTableName = "StreamsTable";

        public IQueryable<StreamsDataModel> StreamsTable
        {
            get
            {
                return this.CreateQuery<StreamsDataModel>(StreamsTableName);
            }
        }
    }
}
