﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Drawing;
using System.Data;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Server;
using ChatData;

namespace Client
{
    /// <summary>
    /// Generic base class for all Message Objects
    /// </summary>
    public class MessageBase<T> : UserControl,IGetTime where T:IGetTime, new() 
    {
        protected T myEntry;
        protected bool aligntright = false;
        public String User { get; protected set; }

        
        #region IGetTime Members
        protected MessageBase()
        {
            this.Dock = DockStyle.Top;
        }
        public DateTime  getTime()
        {
            return myEntry.getTime();
        }
        #endregion
}
}
